Bug 233800 - security/clamav: fix build with GCC-based architectures
Summary: security/clamav: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-05 14:00 UTC by Piotr Kubaj
Modified: 2018-12-07 15:35 UTC (History)
2 users (show)

See Also:
yasu: maintainer-feedback+


Attachments
patch (1.10 KB, patch)
2018-12-05 14:00 UTC, Piotr Kubaj
no flags Details | Diff
patch (1.07 KB, patch)
2018-12-05 14:01 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-12-05 14:00:44 UTC
Created attachment 199849 [details]
patch

Base GCC supports neither -Wno-logical-op-parentheses nor -Wno-dangling-else. Remove them on GCC architectures to fix build with base GCC.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Piotr Kubaj 2018-12-05 14:01:45 UTC
Created attachment 199850 [details]
patch

Better patch.
Comment 2 Yasuhiro KIMURA 2018-12-06 09:05:12 UTC
Thank you for patch. Please go ahead.
Comment 3 commit-hook freebsd_committer 2018-12-07 15:35:04 UTC
A commit references this bug:

Author: linimon
Date: Fri Dec  7 15:34:52 UTC 2018
New revision: 486867
URL: https://svnweb.freebsd.org/changeset/ports/486867

Log:
  Base GCC supports neither -Wno-logical-op-parentheses nor -Wno-dangling-else.
  Remove them on GCC-based architectures to fix build.

  PR:		233800
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/security/clamav/Makefile